using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        RadAjaxManager1.AjaxRequest += new RadAjaxControl.AjaxRequestDelegate(RadAjaxManager1_AjaxRequest);
        Button2.Click += new EventHandler(Button2_Click);
    }

    void Button2_Click(object sender, EventArgs e)
    {
        RadEditor1.Content = "Argh!!!";
    }

    void RadAjaxManager1_AjaxRequest(object sender, AjaxRequestEventArgs e)
    {
        if (e.Argument == "x") {
            RadEditor1.Content = "<br /><p>Text...</p>";
        }
    }
}
